HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostApplicationFeesIdRefunds

Contains the different functions to run the operation postApplicationFeesIdRefunds

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostApplicationFeesIdRefunds.hs
valuepostApplicationFeesIdRefunds
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostApplicationFeesIdRefundsRequestBody

    The request body to send

  4. -> ClientT m (Response PostApplicationFeesIdRefundsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/application_fees/{id}/refunds

<p>Refunds an application fee that has previously been collected but not yet refunded. Funds will be refunded to the Stripe account from which the fee was originally collected.</p>

<p>You can optionally refund only part of an application fee. You can do so multiple times, until the entire fee has been refunded.</p>

<p>Once entirely refunded, an application fee can’t be refunded again. This method will raise an error when called on an already-refunded application fee, or when trying to refund more money than is left on an application fee.</p>

Defines the object schema located at paths./v1/application_fees/{id}/refunds.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postApplicationFeesIdRefunds.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostApplicationFeesIdRefundsResponseError is used.

Constructors

Instances2Eq, Show